# norootforbuild

Name:		claws-mail-extra-plugins
Version:	3.7.9
Release:	1.pm.1.26

Summary:	Plugins for Claws Mail
Url:		http://claws-mail.org
License:	GPLv2+ ; GPLv3+

Group:		Productivity/Networking/Email/Clients

Source0:	http://prdownloads.sourceforge.net/claws-mail/claws-mail-extra-plugins-%{version}.tar.bz2

Requires:	perl = %{perl_version}
Requires:	%{name}-lang = %{version}
Requires:	claws-mail = %{version}

BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires:	claws-mail-devel libarchive-devel
%if %suse_version >= 1120
BuildRequires:	curl-devel
%endif
BuildRequires:	libnotify-devel librapi2-devel
BuildRequires:	libwebkit-devel libxml2-devel
BuildRequires:	pkg-config python-gtk-devel


%description
Various plugins for Claws Mail.

%package devel
License:        GPLv2+
Summary:        Plugins for Claws Mail
Group:          Productivity/Networking/Email/Clients
Requires:       %{name} = %{version}

%description devel
Development files for Claws Mail plugins.



%lang_package


%prep
%setup -q


%build
%__rm -rf geolocation_plugin-*
%if %suse_version >= 1140
%__rm -rf fancy-*
%endif

# build all plugins
plugins=`find -maxdepth 1 -type d -not -name . | sort`
for i in $plugins
do
	pushd $i
		%configure --disable-static
		%__make %{?jobs:-j%jobs}
	popd
done


%install
plugins=`find -maxdepth 1 -type d -not -name . | sort`
for i in $plugins
do
	pushd $i
		%makeinstall
		docdir=%{buildroot}%{_docdir}/%{name}/$i
		%__mkdir_p $docdir
		%__cp $(find . -regex './\(AUTHORS\|ChangeLog\|COPYING\|NEWS\|README\)' \
			-size +0k -exec chmod 644 '{}' \; -print0 | xargs --null) $docdir
	popd
done

# remove *.la files
find %{buildroot} -type f -name "*.la" -delete -print

%find_lang acpi_notifier plugins.lang
%find_lang address_keeper plugins.lang
%find_lang archive plugins.lang
%find_lang attachwarner plugins.lang
%find_lang bsfilter_plugin plugins.lang
%find_lang clamd plugins.lang
%if %suse_version < 1140
%find_lang fancy plugins.lang
%endif
%find_lang gtkhtml2_viewer plugins.lang
%find_lang notification_plugin plugins.lang
%find_lang python_plugin plugins.lang
%find_lang rssyl plugins.lang
%find_lang spam_report plugins.lang
%find_lang tnef_parse plugins.lang
%find_lang vcalendar plugins.lang


%clean
%__rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc %{_docdir}/%{name}
%{_libdir}/claws-mail/plugins/address_keeper.so
%{_libdir}/claws-mail/plugins/acpi_notifier.so
%{_libdir}/claws-mail/plugins/archive.so
%{_libdir}/claws-mail/plugins/att_remover.so
%{_libdir}/claws-mail/plugins/attachwarner.so
%{_libdir}/claws-mail/plugins/bsfilter.so
%{_libdir}/claws-mail/plugins/clamd.so
%if %suse_version < 1140
%{_libdir}/claws-mail/plugins/fancy.so
%endif
%{_libdir}/claws-mail/plugins/fetchinfo_plugin.so
%{_libdir}/claws-mail/plugins/gtkhtml2_viewer.so
%{_libdir}/claws-mail/plugins/mailmbox.so
%{_libdir}/claws-mail/plugins/newmail.so
%{_libdir}/claws-mail/plugins/notification_plugin.so
%{_libdir}/claws-mail/plugins/perl_plugin.so
%{_libdir}/claws-mail/plugins/python_plugin.so
%{_libdir}/claws-mail/plugins/rssyl.so
%{_libdir}/claws-mail/plugins/spamreport.so
%{_libdir}/claws-mail/plugins/tnef_parse.so
%{_libdir}/claws-mail/plugins/vcalendar.so

%files devel
%defattr(-, root, root)
%dir %{_includedir}/claws-mail/plugins
%dir %{_includedir}/claws-mail/plugins/archive
%{_includedir}/claws-mail/plugins/archive/*.h
%dir %{_includedir}/notification_plugin
%dir %{_includedir}/notification_plugin/gtkhotkey
%{_includedir}/notification_plugin/gtkhotkey/*.h
%dir %{_includedir}/claws-mail/plugins/vcalendar
%{_includedir}/claws-mail/plugins/vcalendar/*.h

%files lang -f plugins.lang


%changelog
* Tue Apr 12 2011 detlef@links2linux.de
- new upstream version <3.7.9>
* Sat Dec  4 2010 detlef@links2linux.de
- new upstream version <3.7.8>
* Sat Nov 20 2010 detlef@links2linux.de
- new upstream version <3.7.7>
* Sat May 22 2010 detlef@links2linux.de
- new upstream version <3.7.6>
* Fri Feb  5 2010 detlef@dreichelt.de
- new upstream version <3.7.5>
* Mon Jan 11 2010 dimstar@opensuse.org
- Update to version 3.7.4:
  + Please see README for a full list of changes.
- Update claws-mail-extra-plugins-libytned_shlib.patch to apply
  after the version update of tnef_parse in the tarball.
- Add libchamplain-devel to BuildRequires.
* Mon Nov 30 2009 dimstar@opensuse.org
- Update to version 3.7.3:
  + please see README for a full list of changes.
- Refactored claws-mail-extra-plugins-libytnef_shlib.patch
- Add python-gtk-devel BuildRequires.
* Wed Aug  5 2009 dominique-obs@leuenberger.net
- Update to version 3.7.2:
  + too many changes since last packaged version. See README.
- Refactor claws-mail-extra-plugins-libytnef_shlib.patch
- BuildRequire libwebkit-devel for the fancy plugin.
- Drop claws-mail-extra-plugins-prototypes.diff: fixed upstream.
- Drop claws-mail-extra-plugins-warnings.diff: fixed upstream.
- Fix summary and description of packages.
- Remove custom PKG_CONFIG_PATH and CFLAGS.
- Split lang package.
- Requires specific perl version
* Wed Jul 15 2009 puzel@novell.com
- fix build (build with Large File Support)
* Fri Mar 20 2009 crrodriguez@suse.de
- run ldconfig
- add missing gtk2-devel dependency to the -devel package
- use --disable-static instead of removing static libraries at install
* Thu Oct 16 2008 aj@suse.de
- Remove support for building with SUSE Linux 10.0 and earlier.
- Fix compiler warning.
* Wed Jul  9 2008 anosek@suse.de
- synced with BS, reviewed changes made by suse-tux
* Thu Jul  3 2008 suse-tux@gmx.de
- several spec file changes to make rpmlint happy
* Tue Jul  1 2008 suse-tux@gmx.de
- new upstream version 3.5.0
- added devel subpackage for header files
- removed BuildRequires: libytnef-devel, the package contains an in-tree version
- removed BuildRequires for poppler because the PDF viewer plugin was dropped due to license issues
* Thu May  8 2008 aj@suse.de
- Fix warning about missing return value.
* Thu Mar 13 2008 crrodriguez@suse.de
- needs -fno-strict-aliasing
- require the same claws-mail version against it was built
* Wed Mar 12 2008 ro@suse.de
- fix docu permissions
* Wed Feb 27 2008 anosek@suse.cz
- updated to version 3.3.1, update is based on package from BS
* Fri Oct 19 2007 ro@suse.de
- added libpoppler-devel to buildrequires
* Thu Oct 11 2007 sbrabec@suse.cz
- poppler devel package names prepended by "lib".
- Removed bogus dependency on mDNSResponder.
* Mon Oct  8 2007 sbrabec@suse.cz
-  Use binding specific poppler devel package.
* Wed Jul 25 2007 anosek@suse.cz
- claws-mail-devel >= 2.10.0 needed for build
* Wed Jul  4 2007 suse-tux@gmx.de
- new upstream version 2.10.0
- modified patches so that they apply flawlessly
- added libjpeg-devel to the BuildRequires otherwise the build
  fails on 10.0
* Wed Jun  6 2007 anosek@suse.cz
- updated to version 2.9.2
* Thu May 24 2007 ro@suse.de
- added claws-mail-devel to buildreq
* Mon May  7 2007 anosek@suse.cz
- updated to version 2.9.1
* Mon Jan 29 2007 anosek@suse.cz
- updated to version 2.7.1
* Thu Jan  4 2007 anosek@suse.cz
- fixed vcal_manager.c:1403: warning: control reaches end of
  non-void function (warnings.diff)
* Thu Dec  7 2006 anosek@suse.cz
- updated to version 2.6.1
* Thu Nov 16 2006 anosek@suse.cz
- disabled synce plugin, because required synce package was dropped
* Wed Oct 11 2006 anosek@suse.cz
- initial version 2.5.2
- spec file based on version from BuildService
  by Marcus Huewe <marcus@links2linux.de>
